This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 326021 - Rails crashes with ruby 1.8.5.113-1
Rails crashes with ruby 1.8.5.113-1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
6
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 05:16 EDT by Andreas Zuber
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 07:15:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Zuber 2007-10-10 05:16:04 EDT
Description of problem:

After updating ruby to the version 1.8.5.113-1, rails crashes:

Rendering /home/puzzletime/www/puzzletime_20070503/public/500.html (500 Error)
Sent mail:
 Date: Wed, 10 Oct 2007 10:01:56 +0200
From: PuzzleTime <---snip--->
To: ---snip---
Subject: [ERROR] projecttime#list (NoMemoryError)
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8


A NoMemoryError occured in
  projecttime#list:
  negative allocation size (or too big)

---------------------------
Request Information:
---------------------------
 * URL: https://puzzletime.ww2.ch/puzzletime/
 * Parameters: {"action"=>"list", "controller"=>"projecttime"}
 * Rails root: /home/puzzletime/www/puzzletime_20070503

---------------------------
Full execution backtrace:
---------------------------
  /usr/lib64/ruby/gems/1.8/gems/actionpack-1.13.2/lib/action_controller/benchmarking.rb:86:in 
`sprintf'
  /usr/lib64/ruby/gems/1.8/gems/actionpack-1.13.2/lib/action_controller/benchmarking.rb:86:in 
`active_record_runtime'
  /usr/lib64/ruby/gems/1.8/gems/actionpack-1.13.2/lib/action_controller/benchmarking.rb:69:in 
`perform_action_without_rescue'
  /usr/lib64/ruby/gems/1.8/gems/actionpack-1.13.2/lib/action_controller/rescue.rb:83:in 
`perform_action'
  /usr/lib64/ruby/gems/1.8/gems/actionpack-1.13.2/lib/action_controller/base.rb:430:in 
`send'
  /usr/lib64/ruby/gems/1.8/gems/actionpack-1.13.2/lib/action_controller/base.rb:430:in 
`process_without_filters'
  /usr/lib64/ruby/gems/1.8/gems/actionpack-1.13.2/lib/action_controller/filters.rb:624:in 
`process_without_session_management_support'
  /usr/lib64/ruby/gems/1.8/gems/actionpack-1.13.2/lib/action_controller/session_management.rb:114:in 
`process'
  /usr/lib64/ruby/gems/1.8/gems/actionpack-1.13.2/lib/action_controller/base.rb:330:in 
`process'
  /usr/lib64/ruby/gems/1.8/gems/rails-1.2.2/lib/dispatcher.rb:41:in `dispatch'
  /usr/lib64/ruby/gems/1.8/gems/rails-1.2.2/lib/fcgi_handler.rb:168:in 
`process_request'
  /usr/lib64/ruby/gems/1.8/gems/rails-1.2.2/lib/fcgi_handler.rb:143:in 
`process_each_request!'
  /usr/lib64/ruby/gems/1.8/gems/rails-1.2.2/lib/fcgi_handler.rb:109:in 
`with_signal_handler'
  /usr/lib64/ruby/gems/1.8/gems/rails-1.2.2/lib/fcgi_handler.rb:142:in 
`process_each_request!'
  /usr/lib64/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:612:in `each_cgi'
  /usr/lib64/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:117:in `session'
  /usr/lib64/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:104:in `each_request'
  /usr/lib64/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:36:in `each'
  /usr/lib64/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:609:in `each_cgi'
  /usr/lib64/ruby/gems/1.8/gems/rails-1.2.2/lib/fcgi_handler.rb:141:in 
`process_each_request!'
  /usr/lib64/ruby/gems/1.8/gems/rails-1.2.2/lib/fcgi_handler.rb:55:in 
`process!'
  /usr/lib64/ruby/gems/1.8/gems/rails-1.2.2/lib/fcgi_handler.rb:25:in 
`process!'
  /var/www/puzzletime/dispatch.fcgi:24

There are other people on the net that have similar Problems:
http://forums.fedoraforum.org/showthread.php?p=878518#post878518

A downgrade to version 1.8.5.52-1 of the ruby packages solved the problem for
me.


Version-Release number of selected component (if applicable):

 ruby                    x86_64     1.8.5.113-1.fc6
 ruby-devel              x86_64     1.8.5.113-1.fc6
 ruby-devel              i386       1.8.5.113-1.fc6
 ruby-irb                x86_64     1.8.5.113-1.fc6
 ruby-libs               i386       1.8.5.113-1.fc6
 ruby-libs               x86_64     1.8.5.113-1.fc6
 ruby-rdoc               x86_64     1.8.5.113-1.fc6

How reproducible:

Don't know exactly what action in the code triggers the problem. I dont see 
the relation between the trace output and the error from the projecttime#list 
method.
Comment 1 Andrew Bruce 2007-10-16 06:12:08 EDT
This has broken ruby and many Rails installations! 

How can it be medium / low?
Comment 2 Akira TAGOH 2007-10-16 06:56:33 EDT
Can someone confirm if this happens on ruby 1.8.6.x or not?
Comment 3 Andrew Bruce 2007-10-16 08:01:10 EDT
I don't have an FC7 installation, but can confirm that compiling ruby 1.8.6
fixes the problem.
Comment 4 Bug Zapper 2008-04-04 03:38:03 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Akira TAGOH 2008-04-07 07:15:05 EDT
According to comment #3 and all ruby packages we are supporting on the release
of Fedora are based on 1.8.6, closing this bug due to EOL of FC6.

Note You need to log in before you can comment on or make changes to this bug.